%define upstream_name	 Net-SSH2
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Support for the SSH 2 protocol via libSSH2
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: libssh2-devel
BuildRequires: perl-devel
%description
Net::SSH2 is a perl interface to the libssh2 (http://www.libssh2.org) library.
It supports the SSH2 protocol (there is no support for SSH1) with all of the
key exchanges, ciphers, and compression of libssh2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

perl -pi -e 's~^my \$inc.*~my \$inc = "%_includedir";~' Makefile.PL
perl -pi -e 's~^my \$lib.*~my \$lib = "%_libdir";~' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 533990
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 475971
- update to 0.53

* Wed Aug 14 2013 sander85 <sander85> 0.520.0-1.mga4
+ Revision: 466377
- update to 0.52

* Sun Aug 04 2013 sander85 <sander85> 0.510.0-1.mga4
+ Revision: 463524
- update to 0.51

* Mon Jul 29 2013 sander85 <sander85> 0.500.0-1.mga4
+ Revision: 460411
- update to 0.50

* Tue Jul 23 2013 sander85 <sander85> 0.490.0-1.mga4
+ Revision: 457371
- update to 0.49

* Mon Jun 10 2013 jquelin <jquelin> 0.480.0-1.mga4
+ Revision: 441699
- update to 0.48

* Wed May 29 2013 jquelin <jquelin> 0.460.0-3.mga4
+ Revision: 430921
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 370876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 317703
- update to 0.46

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255203
- update to 0.45

* Wed May 30 2012 jquelin <jquelin> 0.400.0-2.mga3
+ Revision: 250999
- rebuild for perl 5.16

* Thu Nov 03 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 162269
- update to 0.40
- update to 0.39

  + takashi <takashi>
    - update to 0.40

* Wed Jun 15 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 107212
- update to 0.38

* Sun Jun 12 2011 sander85 <sander85> 0.330.0-3.mga2
+ Revision: 104872
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.330.0-2.mga1
+ Revision: 30963
- mageia rebuild
- imported package perl-Net-SSH2


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-2mdv2011.0
+ Revision: 556064
- rebuild for perl 5.12

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-1mdv2011.0
+ Revision: 553133
- update to 0.33

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2011.0
+ Revision: 552475
- update to 0.31

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.290.0-1mdv2010.1
+ Revision: 536207
- update to 0.29

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.280.0-2mdv2010.1
+ Revision: 534504
- rebuild

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 460766
- update to 0.28

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.0
+ Revision: 437169
- update to 0.27

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 432825
- update to 0.25

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-2mdv2010.0
+ Revision: 420432
- force submit
- update to 0.24

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 418123
- update to 0.23

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-2mdv2010.0
+ Revision: 417002
- force rebuild
- update to 0.22

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 407867
- rebuild using %%perl_convert_version

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2010.0
+ Revision: 383532
- update to new version 0.21

* Fri Jun 05 2009 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdv2010.0
+ Revision: 383074
- 0.20

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2010.0
+ Revision: 370138
- update to new version 0.19

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-5mdv2009.0
+ Revision: 258133
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.18-4mdv2009.0
+ Revision: 246174
- rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire libssh2-devel specifically

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2008.1
+ Revision: 152228
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 109590
- new version

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2008.0
+ Revision: 72862
- fix build


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-1mdv2007.0
+ Revision: 131671
- 0.10

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.09-1mdv2007.1
+ Revision: 95157
- 0.09

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 53855
- rebuild
- Import perl-Net-SSH2

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.0
- New release 0.08
- fix compilation flags

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk
- New release 0.07

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix buildrequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Add BuildRequires: perl-Term-ReadKey

* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdk
- 0.05

* Fri Nov 18 2005 Olivier Thauvin <nanardon@mandriva.org> 0.04-1mdk
- initial contrib

